Page MenuHomePhabricator

UNESCO
Closed, ResolvedPublic

Description

Promoting Wiki Loves Earth through UNESCO biosphere reserves (meeting, follow-up etc)

Related Objects

StatusSubtypeAssignedTask
InvalidNone
InvalidNone
ResolvedNickK

Event Timeline

Antanana created this task.Mar 19 2016, 5:15 PM
NickK added a comment.May 21 2016, 7:22 PM

Wrote an email to the international team about it, waiting for reaction and involvement of others.

NickK closed this task as Resolved.Aug 1 2016, 7:50 PM

UNESCO organised a contest.